Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiProgress

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiProgress

All Implemented Interfaces:
  IProgressUpdate

    public class GuiProgress

extends GuiScreen
implements IProgressUpdate

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, guiParticles, height, width`

Constructor Summary
`GuiProgress()`

Method Summary
`void` | `displayProgressMessage(String par1Str)` "Saving level", or the loading,or downloading equivelent
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `onNoMoreProgress()` called when there is no more progress to be had, both on completion and failure
`void` | `resetProgresAndWorkingMessage(String par1Str)` This is called with "Working..." by resetProgressAndMessage
`void` | `resetProgressAndMessage(String par1Str)` this string, followed by "working..." and then the "% complete" are the 3 lines shown.
`void` | `setLoadingProgress(int par1)` Updates the progress bar on the loading screen to the specified amount.

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, initGui, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiProgress

    public GuiProgress()

Method Detail

### displayProgressMessage

    public void displayProgressMessage(String par1Str)

  "Saving level", or the loading,or downloading equivelent

  Specified by:
    `displayProgressMessage` in interface `IProgressUpdate`

### resetProgressAndMessage

    public void resetProgressAndMessage(String par1Str)

  this string, followed by "working..." and then the "% complete" are the 3 lines shown. This resets progress to 0, and the WorkingString to "working...".

  Specified by:
    `resetProgressAndMessage` in interface `IProgressUpdate`

### resetProgresAndWorkingMessage

    public void resetProgresAndWorkingMessage(String par1Str)

  This is called with "Working..." by resetProgressAndMessage

  Specified by:
    `resetProgresAndWorkingMessage` in interface `IProgressUpdate`

### setLoadingProgress

    public void setLoadingProgress(int par1)

  Updates the progress bar on the loading screen to the specified amount. Args: loadProgress

  Specified by:
    `setLoadingProgress` in interface `IProgressUpdate`

### onNoMoreProgress

    public void onNoMoreProgress()

  called when there is no more progress to be had, both on completion and failure

  Specified by:
    `onNoMoreProgress` in interface `IProgressUpdate`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD